GIT-PULL-REQUEST(1)

NAME
git-pull-request - Create pull request for GitHub project

SYNOPSIS
git-pull-request [<target branch>]

DESCRIPTION
Create pull request for a project on GitHub via command line.

Uses the email from git config user.email to open the pull request.

OPTIONS
<target branch>

The target branch you want to send pull request to.

EXAMPLES
$ git pull-request master
Everything up-to-date

  create pull-request for spacewander/spacewander-toolbox 'master'

  title: test
  body:
  base [master]:
  GitHub two-factor authentication code (leave blank if not set up):

Enter host password for user 'spacewanderlzx@gmail.com':
`...`

AUTHOR
Written by Tj Holowaychuk <mailto:tj@vision-media.ca>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>